﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Windows.Forms;
using System.Diagnostics;
using Infragistics.Win.UltraWinMaskedEdit;

namespace UltraDateTimeEditorTest
{
	public partial class Form1 : Form
	{
		public Form1()
		{
			InitializeComponent();
		}

		private void ultraDateTimeEditor1_MouseClick(object sender, MouseEventArgs e)
		{
			var element = ultraDateTimeEditor1.UIElement.ElementFromPoint(e.Location);
			SectionUIElement sectionElement = element.GetAncestor(typeof(SectionUIElement)) as SectionUIElement;
			if (sectionElement != null)
			{
				var section = sectionElement.Section;
				int position = 0;
				for (int i = 0; i < section.Sections.Count; i++)
				{
					var loopSection = section.Sections[i];
					if (loopSection == section)
					{
						break;
					}
					else
					{
						position += loopSection.DisplayChars.Count;
					}
				}
				ultraDateTimeEditor1.SelectionStart = position;
				ultraDateTimeEditor1.SelectionLength = section.DisplayChars.Count;
			}
		}

		private void Form1_Load(object sender, EventArgs e)
		{
		}
	}
}
